package com.sckw.slope.detection.dao.mysql;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.sckw.slope.detection.model.dos.mysql.KwsProjectArea;
import org.apache.ibatis.annotations.Mapper;

@Mapper
@DS("mysql")
public interface KwsProjectAreaMapper extends BaseMapper<KwsProjectArea> {
    int deleteByPrimaryKey(Long id);

    int insert(KwsProjectArea record);

    int insertSelective(KwsProjectArea record);

    KwsProjectArea selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(KwsProjectArea record);

    int updateByPrimaryKey(KwsProjectArea record);
}